using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class UpdateTablePositionExamAddPositionLevel : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<bool>(
                name: "HighDegree",
                table: "PositionExams",
                type: "tinyint(1)",
                nullable: false,
                comment: "ปริญญาบัตรขึ้นไป",
                oldClrType: typeof(bool),
                oldType: "tinyint(1)",
                oldComment: "ปริญญาขึ้นไป");

            migrationBuilder.AddColumn<Guid>(
                name: "PositionLevelId",
                table: "PositionExams",
                type: "char(36)",
                nullable: true,
                comment: "Id ระดับ",
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<string>(
                name: "PositionLevelName",
                table: "PositionExams",
                type: "longtext",
                nullable: true,
                comment: "ชื่อระดับ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "EditorCondition",
                table: "PeriodExams",
                type: "longtext",
                nullable: true,
                comment: "รายละเอียดเงื่อนไขการสมัคร")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "EditorConfirm",
                table: "PeriodExams",
                type: "longtext",
                nullable: true,
                comment: "รายละเอียดคำรับรอง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<Guid>(
                name: "ReligionId",
                table: "Candidates",
                type: "char(36)",
                nullable: true,
                comment: "Id ศาสนา",
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<string>(
                name: "ReligionName",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "ศาสนา")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "PositionLevelId",
                table: "PositionExams");

            migrationBuilder.DropColumn(
                name: "PositionLevelName",
                table: "PositionExams");

            migrationBuilder.DropColumn(
                name: "EditorCondition",
                table: "PeriodExams");

            migrationBuilder.DropColumn(
                name: "EditorConfirm",
                table: "PeriodExams");

            migrationBuilder.DropColumn(
                name: "ReligionId",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ReligionName",
                table: "Candidates");

            migrationBuilder.AlterColumn<bool>(
                name: "HighDegree",
                table: "PositionExams",
                type: "tinyint(1)",
                nullable: false,
                comment: "ปริญญาขึ้นไป",
                oldClrType: typeof(bool),
                oldType: "tinyint(1)",
                oldComment: "ปริญญาบัตรขึ้นไป");
        }
    }
}
